import { Router } from "express";
import { authenticate } from "../../middleware/auth.middleware";
import {
  getUserData,
  getAuthData,
  getAllPermissions,
  update_Sub_Admin,
  create_Sub_Admin,
  getAllSubAdmin,
} from "../../controllers/user-profile/user-profile.controller";

const router = Router();

// This will be used to get a user's data
// Mainly to get employee data, such as employee id, company id, department id etc
router.get("/", authenticate, getUserData);

router.get("/role-data", authenticate, getAuthData);

router.get("/get-all-permission", authenticate, getAllPermissions); // [x] Integration Complete

router.get("/get-all-users", authenticate, getAllSubAdmin); // [x] Integration Complete

router.post("/admin/create", authenticate, create_Sub_Admin); // [x] Integration Complete

router.patch("/admin/update", authenticate, update_Sub_Admin); // [x] Integration Complete

export default router;
